aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xscripts/start.sh6
1 files changed, 2 insertions, 4 deletions
diff --git a/scripts/start.sh b/scripts/start.sh
index 6f23990f827..62531e985d6 100755
--- a/scripts/start.sh
+++ b/scripts/start.sh
@@ -24,15 +24,13 @@ else
OS='linux-x86-64'
fi
-ls sonar-application/target/sonarqube-*.zip &> /dev/null
-if [ "$?" != "0" ]; then
+if ! ls sonar-application/target/sonarqube-*.zip &> /dev/null; then
echo 'Sources are not built'
./build.sh
fi
cd sonar-application/target/
-ls sonarqube-*/bin/$OS/sonar.sh &> /dev/null
-if [ "$?" != "0" ]; then
+if ! ls sonarqube-*/bin/$OS/sonar.sh &> /dev/null; then
echo "Unzipping SQ..."
unzip -qq sonarqube-*.zip
fi